Skip to main content
`Ctrl`+`K`

# FieldRef

class astropy.io.votable.tree.FieldRef(table, ref, ucd=None, utype=None, config=None, pos=None, **extra)

  Bases: `SimpleElement`, `_UtypeProperty`, `_UcdProperty`

  FIELDref element: used inside of GROUP elements to refer to remote FIELD elements.

  table is the `TableElement` object that this `FieldRef` is a member of.

  ref is the ID to reference a `Field` object defined elsewhere.

  Attributes Summary

  `ref` | The ID of the FIELD that this FIELDref references.

  Methods Summary

  `get_ref`() | Lookup the `Field` instance that this `FieldRef` references.

  Attributes Documentation

  ref

    The ID of the FIELD that this FIELDref references.

  Methods Documentation

  get_ref()

    Lookup the `Field` instance that this `FieldRef` references.